=== debian/control ===
Source: rust-ruma-common
Section: rust
Priority: optional
Build-Depends: debhelper-compat (= 13),
 dh-sequence-cargo,
 cargo:native <!nocheck>,
 rustc:native (>= 1.60) <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-base64-0.22+default-dev <!nocheck>,
 librust-bytes-1+default-dev (>= 1.0.1-~~) <!nocheck>,
 librust-form-urlencoded-1+default-dev <!nocheck>,
 librust-indexmap-2+default-dev <!nocheck>,
 librust-indexmap-2+serde-dev <!nocheck>,
 librust-itoa-1+default-dev (>= 1.0.1-~~) <!nocheck>,
 librust-js-int-0.2+default-dev <!nocheck>,
 librust-js-int-0.2+serde-dev <!nocheck>,
 librust-js-option-0.1+default-dev <!nocheck>,
 librust-percent-encoding-2+default-dev (>= 2.1.0-~~) <!nocheck>,
 librust-regex-1+perf-dev (>= 1.5.6-~~) <!nocheck>,
 librust-regex-1+std-dev (>= 1.5.6-~~) <!nocheck>,
 librust-ruma-identifiers-validation-0.9-dev <!nocheck>,
 librust-ruma-macros-0.10+default-dev (>= 0.10.5-~~) <!nocheck>,
 librust-serde-1+default-dev (>= 1.0.118-~~) <!nocheck>,
 librust-serde-1+derive-dev (>= 1.0.118-~~) <!nocheck>,
 librust-serde-json-1+default-dev (>= 1.0.64-~~) <!nocheck>,
 librust-serde-json-1+raw-value-dev (>= 1.0.64-~~) <!nocheck>,
 librust-tracing-0.1+default-dev (>= 0.1.25-~~) <!nocheck>,
 librust-url-2+default-dev (>= 2.2.2-~~) <!nocheck>,
 librust-wildmatch-2+default-dev <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Matthias Geiger <werdahias@debian.org>
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/ruma-common]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/ruma-common
Homepage: https://www.ruma.io/
X-Cargo-Crate: ruma-common
Rules-Requires-Root: no

Package: librust-ruma-common-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-base64-0.22+default-dev,
 librust-bytes-1+default-dev (>= 1.0.1-~~),
 librust-criterion-0.5+default-dev,
 librust-form-urlencoded-1+default-dev,
 librust-getrandom-0.2+default-dev (>= 0.2.6-~~),
 librust-html5ever-0.27+default-dev,
 librust-http-0.2+default-dev (>= 0.2.2-~~),
 librust-indexmap-2+default-dev,
 librust-indexmap-2+serde-dev,
 librust-itoa-1+default-dev (>= 1.0.1-~~),
 librust-js-int-0.2+default-dev,
 librust-js-int-0.2+serde-dev,
 librust-js-option-0.1+default-dev,
 librust-percent-encoding-2+default-dev (>= 2.1.0-~~),
 librust-phf-0.11+default-dev (>= 0.11.1-~~),
 librust-phf-0.11+macros-dev (>= 0.11.1-~~),
 librust-pulldown-cmark-0.10+html-dev,
 librust-rand-0.8+default-dev (>= 0.8.3-~~),
 librust-regex-1+perf-dev (>= 1.5.6-~~),
 librust-regex-1+std-dev (>= 1.5.6-~~),
 librust-ruma-identifiers-validation-0.9+compat-dev,
 librust-ruma-identifiers-validation-0.9-dev,
 librust-ruma-macros-0.10+compat-dev (>= 0.10.5-~~),
 librust-ruma-macros-0.10+default-dev (>= 0.10.5-~~),
 librust-serde-1+default-dev (>= 1.0.118-~~),
 librust-serde-1+derive-dev (>= 1.0.118-~~),
 librust-serde-json-1+default-dev (>= 1.0.64-~~),
 librust-serde-json-1+raw-value-dev (>= 1.0.64-~~),
 librust-thiserror-1+default-dev (>= 1.0.26-~~),
 librust-tracing-0.1+default-dev (>= 0.1.25-~~),
 librust-url-2+default-dev (>= 2.2.2-~~),
 librust-uuid-1+default-dev,
 librust-uuid-1+v4-dev,
 librust-wildmatch-2+default-dev
Provides:
 librust-ruma-common+api-dev (= ${binary:Version}),
 librust-ruma-common+canonical-json-dev (= ${binary:Version}),
 librust-ruma-common+client-dev (= ${binary:Version}),
 librust-ruma-common+compat-dev (= ${binary:Version}),
 librust-ruma-common+criterion-dev (= ${binary:Version}),
 librust-ruma-common+default-dev (= ${binary:Version}),
 librust-ruma-common+events-dev (= ${binary:Version}),
 librust-ruma-common+getrandom-dev (= ${binary:Version}),
 librust-ruma-common+markdown-dev (= ${binary:Version}),
 librust-ruma-common+pulldown-cmark-dev (= ${binary:Version}),
 librust-ruma-common+rand-dev (= ${binary:Version}),
 librust-ruma-common+server-dev (= ${binary:Version}),
 librust-ruma-common+unstable-exhaustive-types-dev (= ${binary:Version}),
 librust-ruma-common+unstable-msc1767-dev (= ${binary:Version}),
 librust-ruma-common+unstable-msc2285-dev (= ${binary:Version}),
 librust-ruma-common+unstable-msc2448-dev (= ${binary:Version}),
 librust-ruma-common+unstable-msc2676-dev (= ${binary:Version}),
 librust-ruma-common+unstable-msc2677-dev (= ${binary:Version}),
 librust-ruma-common+unstable-msc2746-dev (= ${binary:Version}),
 librust-ruma-common+unstable-msc2870-dev (= ${binary:Version}),
 librust-ruma-common+unstable-msc3245-dev (= ${binary:Version}),
 librust-ruma-common+unstable-msc3246-dev (= ${binary:Version}),
 librust-ruma-common+unstable-msc3381-dev (= ${binary:Version}),
 librust-ruma-common+unstable-msc3440-dev (= ${binary:Version}),
 librust-ruma-common+unstable-msc3488-dev (= ${binary:Version}),
 librust-ruma-common+unstable-msc3551-dev (= ${binary:Version}),
 librust-ruma-common+unstable-msc3552-dev (= ${binary:Version}),
 librust-ruma-common+unstable-msc3553-dev (= ${binary:Version}),
 librust-ruma-common+unstable-msc3554-dev (= ${binary:Version}),
 librust-ruma-common+unstable-msc3786-dev (= ${binary:Version}),
 librust-ruma-common+unstable-msc3827-dev (= ${binary:Version}),
 librust-ruma-common+unstable-pdu-dev (= ${binary:Version}),
 librust-ruma-common+unstable-pre-spec-dev (= ${binary:Version}),
 librust-ruma-common+unstable-sanitize-dev (= ${binary:Version}),
 librust-ruma-common-0-dev (= ${binary:Version}),
 librust-ruma-common-0+api-dev (= ${binary:Version}),
 librust-ruma-common-0+canonical-json-dev (= ${binary:Version}),
 librust-ruma-common-0+client-dev (= ${binary:Version}),
 librust-ruma-common-0+compat-dev (= ${binary:Version}),
 librust-ruma-common-0+criterion-dev (= ${binary:Version}),
 librust-ruma-common-0+default-dev (= ${binary:Version}),
 librust-ruma-common-0+events-dev (= ${binary:Version}),
 librust-ruma-common-0+getrandom-dev (= ${binary:Version}),
 librust-ruma-common-0+markdown-dev (= ${binary:Version}),
 librust-ruma-common-0+pulldown-cmark-dev (= ${binary:Version}),
 librust-ruma-common-0+rand-dev (= ${binary:Version}),
 librust-ruma-common-0+server-dev (= ${binary:Version}),
 librust-ruma-common-0+unstable-exhaustive-types-dev (= ${binary:Version}),
 librust-ruma-common-0+unstable-msc1767-dev (= ${binary:Version}),
 librust-ruma-common-0+unstable-msc2285-dev (= ${binary:Version}),
 librust-ruma-common-0+unstable-msc2448-dev (= ${binary:Version}),
 librust-ruma-common-0+unstable-msc2676-dev (= ${binary:Version}),
 librust-ruma-common-0+unstable-msc2677-dev (= ${binary:Version}),
 librust-ruma-common-0+unstable-msc2746-dev (= ${binary:Version}),
 librust-ruma-common-0+unstable-msc2870-dev (= ${binary:Version}),
 librust-ruma-common-0+unstable-msc3245-dev (= ${binary:Version}),
 librust-ruma-common-0+unstable-msc3246-dev (= ${binary:Version}),
 librust-ruma-common-0+unstable-msc3381-dev (= ${binary:Version}),
 librust-ruma-common-0+unstable-msc3440-dev (= ${binary:Version}),
 librust-ruma-common-0+unstable-msc3488-dev (= ${binary:Version}),
 librust-ruma-common-0+unstable-msc3551-dev (= ${binary:Version}),
 librust-ruma-common-0+unstable-msc3552-dev (= ${binary:Version}),
 librust-ruma-common-0+unstable-msc3553-dev (= ${binary:Version}),
 librust-ruma-common-0+unstable-msc3554-dev (= ${binary:Version}),
 librust-ruma-common-0+unstable-msc3786-dev (= ${binary:Version}),
 librust-ruma-common-0+unstable-msc3827-dev (= ${binary:Version}),
 librust-ruma-common-0+unstable-pdu-dev (= ${binary:Version}),
 librust-ruma-common-0+unstable-pre-spec-dev (= ${binary:Version}),
 librust-ruma-common-0+unstable-sanitize-dev (= ${binary:Version}),
 librust-ruma-common-0.10-dev (= ${binary:Version}),
 librust-ruma-common-0.10+api-dev (= ${binary:Version}),
 librust-ruma-common-0.10+canonical-json-dev (= ${binary:Version}),
 librust-ruma-common-0.10+client-dev (= ${binary:Version}),
 librust-ruma-common-0.10+compat-dev (= ${binary:Version}),
 librust-ruma-common-0.10+criterion-dev (= ${binary:Version}),
 librust-ruma-common-0.10+default-dev (= ${binary:Version}),
 librust-ruma-common-0.10+events-dev (= ${binary:Version}),
 librust-ruma-common-0.10+getrandom-dev (= ${binary:Version}),
 librust-ruma-common-0.10+markdown-dev (= ${binary:Version}),
 librust-ruma-common-0.10+pulldown-cmark-dev (= ${binary:Version}),
 librust-ruma-common-0.10+rand-dev (= ${binary:Version}),
 librust-ruma-common-0.10+server-dev (= ${binary:Version}),
 librust-ruma-common-0.10+unstable-exhaustive-types-dev (= ${binary:Version}),
 librust-ruma-common-0.10+unstable-msc1767-dev (= ${binary:Version}),
 librust-ruma-common-0.10+unstable-msc2285-dev (= ${binary:Version}),
 librust-ruma-common-0.10+unstable-msc2448-dev (= ${binary:Version}),
 librust-ruma-common-0.10+unstable-msc2676-dev (= ${binary:Version}),
 librust-ruma-common-0.10+unstable-msc2677-dev (= ${binary:Version}),
 librust-ruma-common-0.10+unstable-msc2746-dev (= ${binary:Version}),
 librust-ruma-common-0.10+unstable-msc2870-dev (= ${binary:Version}),
 librust-ruma-common-0.10+unstable-msc3245-dev (= ${binary:Version}),
 librust-ruma-common-0.10+unstable-msc3246-dev (= ${binary:Version}),
 librust-ruma-common-0.10+unstable-msc3381-dev (= ${binary:Version}),
 librust-ruma-common-0.10+unstable-msc3440-dev (= ${binary:Version}),
 librust-ruma-common-0.10+unstable-msc3488-dev (= ${binary:Version}),
 librust-ruma-common-0.10+unstable-msc3551-dev (= ${binary:Version}),
 librust-ruma-common-0.10+unstable-msc3552-dev (= ${binary:Version}),
 librust-ruma-common-0.10+unstable-msc3553-dev (= ${binary:Version}),
 librust-ruma-common-0.10+unstable-msc3554-dev (= ${binary:Version}),
 librust-ruma-common-0.10+unstable-msc3786-dev (= ${binary:Version}),
 librust-ruma-common-0.10+unstable-msc3827-dev (= ${binary:Version}),
 librust-ruma-common-0.10+unstable-pdu-dev (= ${binary:Version}),
 librust-ruma-common-0.10+unstable-pre-spec-dev (= ${binary:Version}),
 librust-ruma-common-0.10+unstable-sanitize-dev (= ${binary:Version}),
 librust-ruma-common-0.10.5-dev (= ${binary:Version}),
 librust-ruma-common-0.10.5+api-dev (= ${binary:Version}),
 librust-ruma-common-0.10.5+canonical-json-dev (= ${binary:Version}),
 librust-ruma-common-0.10.5+client-dev (= ${binary:Version}),
 librust-ruma-common-0.10.5+compat-dev (= ${binary:Version}),
 librust-ruma-common-0.10.5+criterion-dev (= ${binary:Version}),
 librust-ruma-common-0.10.5+default-dev (= ${binary:Version}),
 librust-ruma-common-0.10.5+events-dev (= ${binary:Version}),
 librust-ruma-common-0.10.5+getrandom-dev (= ${binary:Version}),
 librust-ruma-common-0.10.5+markdown-dev (= ${binary:Version}),
 librust-ruma-common-0.10.5+pulldown-cmark-dev (= ${binary:Version}),
 librust-ruma-common-0.10.5+rand-dev (= ${binary:Version}),
 librust-ruma-common-0.10.5+server-dev (= ${binary:Version}),
 librust-ruma-common-0.10.5+unstable-exhaustive-types-dev (= ${binary:Version}),
 librust-ruma-common-0.10.5+unstable-msc1767-dev (= ${binary:Version}),
 librust-ruma-common-0.10.5+unstable-msc2285-dev (= ${binary:Version}),
 librust-ruma-common-0.10.5+unstable-msc2448-dev (= ${binary:Version}),
 librust-ruma-common-0.10.5+unstable-msc2676-dev (= ${binary:Version}),
 librust-ruma-common-0.10.5+unstable-msc2677-dev (= ${binary:Version}),
 librust-ruma-common-0.10.5+unstable-msc2746-dev (= ${binary:Version}),
 librust-ruma-common-0.10.5+unstable-msc2870-dev (= ${binary:Version}),
 librust-ruma-common-0.10.5+unstable-msc3245-dev (= ${binary:Version}),
 librust-ruma-common-0.10.5+unstable-msc3246-dev (= ${binary:Version}),
 librust-ruma-common-0.10.5+unstable-msc3381-dev (= ${binary:Version}),
 librust-ruma-common-0.10.5+unstable-msc3440-dev (= ${binary:Version}),
 librust-ruma-common-0.10.5+unstable-msc3488-dev (= ${binary:Version}),
 librust-ruma-common-0.10.5+unstable-msc3551-dev (= ${binary:Version}),
 librust-ruma-common-0.10.5+unstable-msc3552-dev (= ${binary:Version}),
 librust-ruma-common-0.10.5+unstable-msc3553-dev (= ${binary:Version}),
