=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test ruma-common 0.10.5 --all-targets --all-features
Features: test-name=rust-ruma-common:@
Depends: dh-cargo (>= 31), rustc (>= 1.60), librust-assert-matches-1+default-dev (>= 1.5.0-~~), librust-assign-1+default-dev (>= 1.1.1-~~), librust-http-0.2+default-dev (>= 0.2.2-~~), librust-maplit-1+default-dev (>= 1.0.2-~~), librust-trybuild-1+default-dev (>= 1.0.42-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test ruma-common 0.10.5 --all-targets --no-default-features --features api
Features: test-name=librust-ruma-common-dev:api
Depends: dh-cargo (>= 31), rustc (>= 1.60), librust-assert-matches-1+default-dev (>= 1.5.0-~~), librust-assign-1+default-dev (>= 1.1.1-~~), librust-http-0.2+default-dev (>= 0.2.2-~~), librust-maplit-1+default-dev (>= 1.0.2-~~), librust-trybuild-1+default-dev (>= 1.0.42-~~), @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test ruma-common 0.10.5 --all-targets --no-default-features --features canonical-json
Features: test-name=librust-ruma-common-dev:canonical-json
Depends: dh-cargo (>= 31), rustc (>= 1.60), librust-assert-matches-1+default-dev (>= 1.5.0-~~), librust-assign-1+default-dev (>= 1.1.1-~~), librust-http-0.2+default-dev (>= 0.2.2-~~), librust-maplit-1+default-dev (>= 1.0.2-~~), librust-trybuild-1+default-dev (>= 1.0.42-~~), @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test ruma-common 0.10.5 --all-targets --no-default-features --features client
Features: test-name=librust-ruma-common-dev:client
Depends: dh-cargo (>= 31), rustc (>= 1.60), librust-assert-matches-1+default-dev (>= 1.5.0-~~), librust-assign-1+default-dev (>= 1.1.1-~~), librust-http-0.2+default-dev (>= 0.2.2-~~), librust-maplit-1+default-dev (>= 1.0.2-~~), librust-trybuild-1+default-dev (>= 1.0.42-~~), @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test ruma-common 0.10.5 --all-targets --no-default-features --features compat
Features: test-name=librust-ruma-common-dev:compat
Depends: dh-cargo (>= 31), rustc (>= 1.60), librust-assert-matches-1+default-dev (>= 1.5.0-~~), librust-assign-1+default-dev (>= 1.1.1-~~), librust-http-0.2+default-dev (>= 0.2.2-~~), librust-maplit-1+default-dev (>= 1.0.2-~~), librust-trybuild-1+default-dev (>= 1.0.42-~~), @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test ruma-common 0.10.5 --all-targets --no-default-features --features criterion
Features: test-name=librust-ruma-common-dev:criterion
Depends: dh-cargo (>= 31), rustc (>= 1.60), librust-assert-matches-1+default-dev (>= 1.5.0-~~), librust-assign-1+default-dev (>= 1.1.1-~~), librust-http-0.2+default-dev (>= 0.2.2-~~), librust-maplit-1+default-dev (>= 1.0.2-~~), librust-trybuild-1+default-dev (>= 1.0.42-~~), @
