## rust-ruma-common 0.14.1+ds

=== debian/changelog ===
rust-ruma-common (0.14.1+ds-8) unstable; urgency=medium

  * update copyright info:
    + really avoid any .git* files when repackaging upstream source
    + license patches same as main upstream license
  * drop patches 2001_js_option 2001_smol_macros,
    obsoleted by Debian package changes;
    tighten build-dependency for crate js_option;
    build- and autopkgtest-depend on packages
    for crates macro_rules_attribute smol-macros (not tokio)
  * update git-buildpackage config:
    + stop superfluously filter out .git* files
  * relax (build-, autopkgtest-)dependencies for all crates,
    except autopkgtest-dependencies for own feature-providing provisions
  * autopkgtest-check single-feature tests only on amd64

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 26 Feb 2026 16:44:14 +0100

rust-ruma-common (0.14.1+ds-7) unstable; urgency=medium

  * have binary package librust-ruma-common-dev break
    librust-ruma-identifiers-validation-dev librust-ruma-macros-dev
    librust-ruma-push-gateway-api-dev librust-ruma-state-res-dev

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 23 Jan 2026 09:37:15 +0100

rust-ruma-common (0.14.1+ds-6) unstable; urgency=medium

  * fix autpkgtest-dependencies

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 19 Jan 2026 09:09:34 +0100

rust-ruma-common (0.14.1+ds-5) unstable; urgency=medium

  * fix patch 2001_date_header

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 18 Jan 2026 12:51:26 +0100

rust-ruma-common (0.14.1+ds-4) unstable; urgency=medium

  * provide and autopkgtest crates
    ruma ruma-appservice-api ruma-client-api ruma-federation-api
    ruma-identity-service-api ruma-push-gateway-api ruma-state-res
  * (build-)depend on packages
    for crates headers http-auth httparse mime
  * build- and autopkgtest-depend on packages
    for crates serde_yaml similar test-log
  * depend (not only build- and no longer autopkgtest-depend)
    on packages for crates assign maplit
  * tighten (build-)dependencies for crate url;
  * add patch 2001_date_header
    to avoid not-in-Debian crate dater_header
  * add patch 2002_no_broken_test
    to avoid workspace-only test
  * extend patch 2002_no_bench to cover crate ruma-state-res
  * stop superfluously autopkgtest-depend on package for crate http

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 17 Jan 2026 18:42:13 +0100

rust-ruma-common (0.14.1+ds-3) unstable; urgency=medium

  * add patch 2002_no_bench to avoid benches
  * add patch 2001_js_options
    to accept older minor version of crate js_option
  * provide and autopkgtest crate ruma-events;
    (build-)depend on packages
    for crates js_option language-tags pulldown-cmark

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 16 Jan 2026 19:59:16 +0100

rust-ruma-common (0.14.1+ds-2) unstable; urgency=medium

  * provide and autopkgtest crates ruma-html ruma-signatures;
    add patch 2001_html5ever
    to use older minor version of crate html5ever;
    (build-)depend on packages
    for crates ed25519-dalek html5ever memchr pkcs8 sha2;
    build- and autopkgtest-depend on packages for crate insta

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 16 Jan 2026 18:43:57 +0100

rust-ruma-common (0.14.1+ds-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * friendly packaging take-over:
    + set myself as maintainer
    + drop Uploaders field
    + update Vcs-* fields
    thanks to Matthias Geiger and the Rust team for past contributions
  * update copyright info:
    + repackage upstream source to avoid any .git* files
    + update Upstream-Name to general project name
    + fix and tighten whitespace
    + list upstream issue tracker as Upstream-Contact
    + use License-Grant and Reference fields;
      silence lintian regarding Reference field (see bug#786450)
    + update coverage
    + relicense packaging under GPL-3+
    + use shortname Expat
  * add git-buildpackage config:
    + use pristine-tar
    + sign tags
    + filter out any .git files
    + use DEP-14 branch names
  * update watch file:
    + track Github source (not crates.io distro)
    + use Uversion-Mangle: auto (not custom regex)
    + track release tags for crate ruma (not ruma-common)
    + use Dversion-Mangle: auto
    + use Repacksuffix: +ds
  * use build-system rust (not cargo);
    drop related now unused packaging hint files;
    build-depend on dh-sequence-rust
    (not cargo dh-sequence-cargo rustc libstd-rust-dev);
    autopkgtest-depend on dh-rust (not dh-cargo rustc);
    build-depend unconditionally on rust crates
    (i.e. without !nocheck exception)
  * provide binary crate package as arch-all;
    stop set Multi-Arch: same
    (and neither Multi-Arch: foreign,
    incompatible with arch-any packaged crates)
  * resolve binary version from crate metadata
  * stop provide unversioned, unstable-major- or revision-level features
  * bump project versions in virtual packages and autopkgtests
  * stop provide features
    compat criterion events getrandom markdown pulldown-cmark
    unstable-exhaustive-types unstable-msc1767 unstable-msc2285
    unstable-msc2448 unstable-msc2676 unstable-msc2677 unstable-msc2746
    unstable-msc3245 unstable-msc3246 unstable-msc3381 unstable-msc3440
    unstable-msc3488 unstable-msc3551 unstable-msc3552 unstable-msc3553
    unstable-msc3554 unstable-msc3786 unstable-msc3827 unstable-pdu
    unstable-pre-spec unstable-sanitize;
    provide features
    compat-arbitrary-length-ids compat-empty-string-null compat-null
    compat-optional compat-server-signing-key-version js
    unstable-msc2666 unstable-msc3768 unstable-msc3930 unstable-msc3931
    unstable-msc3932 unstable-msc4108 unstable-msc4140 unstable-msc4186
    unstable-msc4306 unstable-msc4380
  * embed and autopkgtest crates ruma-identifiers-validation ruma-macros
  * update patches;
    add debian/patches/README to describe patch naming micro-policy
  * (build-)depend on packages
    for crates assign as_variant cfg-if getrandom js-sys konst

