=== debian/control ===
Source: rust-ruma-common
Section: rust
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-rust (= 1),
 librust-as-variant-dev,
 librust-assert-matches2-dev,
 librust-assign-dev,
 librust-base64-dev,
 librust-bytes-dev,
 librust-cfg-if-dev,
 librust-ed25519-dalek-dev,
 librust-form-urlencoded-dev,
 librust-getrandom-dev,
 librust-headers-dev,
 librust-html5ever-dev,
 librust-http-auth-dev,
 librust-http-dev,
 librust-httparse-dev,
 librust-indexmap-dev,
 librust-insta-dev,
 librust-js-int-dev,
 librust-js-option-dev,
 librust-js-sys-dev,
 librust-konst-dev,
 librust-language-tags-dev,
 librust-macro-rules-attribute-dev,
 librust-maplit-dev,
 librust-memchr-dev,
 librust-mime-dev,
 librust-percent-encoding-dev,
 librust-pkcs8-dev,
 librust-proc-macro-crate-dev,
 librust-proc-macro2-dev,
 librust-pulldown-cmark-dev,
 librust-quote-dev,
 librust-rand-dev,
 librust-regex-dev,
 librust-serde-dev,
 librust-serde-html-form-dev,
 librust-serde-json-dev,
 librust-serde-yaml-dev,
 librust-sha2-dev,
 librust-similar-dev,
 librust-smol-macros-dev,
 librust-syn-dev,
 librust-test-log-dev,
 librust-thiserror-dev,
 librust-time-dev,
 librust-toml-dev,
 librust-tracing-dev,
 librust-trybuild-dev,
 librust-url-dev,
 librust-uuid-dev,
 librust-web-time-dev,
 librust-wildmatch-dev,
 librust-zeroize-dev,
Maintainer: Jonas Smedegaard <dr@jones.dk>
Standards-Version: 4.7.3
Vcs-Git: https://salsa.debian.org/debian/rust-ruma-common.git
Vcs-Browser: https://salsa.debian.org/debian/rust-ruma-common
Homepage: https://www.ruma.io/

Package: librust-ruma-common-dev
Architecture: all
#Multi-Arch: foreign
Depends:
 librust-as-variant-dev,
 librust-assign-dev,
 librust-base64-dev,
 librust-bytes-dev,
 librust-cfg-if-dev,
 librust-ed25519-dalek-dev,
 librust-form-urlencoded-dev,
 librust-getrandom-dev,
 librust-headers-dev,
 librust-html5ever-dev,
 librust-http-auth-dev,
 librust-http-dev,
 librust-httparse-dev,
 librust-indexmap-dev,
 librust-js-int-dev,
 librust-js-option-dev,
 librust-js-sys-dev,
 librust-konst-dev,
 librust-language-tags-dev,
 librust-maplit-dev,
 librust-memchr-dev,
 librust-mime-dev,
 librust-percent-encoding-dev,
 librust-pkcs8-dev,
 librust-proc-macro-crate-dev,
 librust-proc-macro2-dev,
 librust-pulldown-cmark-dev,
 librust-quote-dev,
 librust-rand-dev,
 librust-regex-dev,
 librust-serde-dev,
 librust-serde-html-form-dev,
 librust-serde-json-dev,
 librust-sha2-dev,
 librust-syn-dev,
 librust-thiserror-dev,
 librust-time-dev,
 librust-toml-dev,
 librust-tracing-dev,
 librust-url-dev,
 librust-uuid-dev,
 librust-web-time-dev,
 librust-wildmatch-dev,
 librust-zeroize-dev,
 ${misc:Depends},
Provides:
 librust-ruma-0.14+api-dev (= ${rust:Version:librust-ruma-dev}),
 librust-ruma-0.14+appservice-api-c-dev (= ${rust:Version:librust-ruma-dev}),
 librust-ruma-0.14+appservice-api-dev (= ${rust:Version:librust-ruma-dev}),
 librust-ruma-0.14+appservice-api-s-dev (= ${rust:Version:librust-ruma-dev}),
 librust-ruma-0.14+canonical-json-dev (= ${rust:Version:librust-ruma-dev}),
 librust-ruma-0.14+client-api-c-dev (= ${rust:Version:librust-ruma-dev}),
 librust-ruma-0.14+client-api-dev (= ${rust:Version:librust-ruma-dev}),
 librust-ruma-0.14+client-api-s-dev (= ${rust:Version:librust-ruma-dev}),
 librust-ruma-0.14+compat-arbitrary-length-ids-dev (= ${rust:Version:librust-ruma-dev}),
 librust-ruma-0.14+compat-empty-string-null-dev (= ${rust:Version:librust-ruma-dev}),
 librust-ruma-0.14+compat-encrypted-stickers-dev (= ${rust:Version:librust-ruma-dev}),
 librust-ruma-0.14+compat-get-3pids-dev (= ${rust:Version:librust-ruma-dev}),
 librust-ruma-0.14+compat-lax-room-create-deser-dev (= ${rust:Version:librust-ruma-dev}),
 librust-ruma-0.14+compat-lax-room-topic-deser-dev (= ${rust:Version:librust-ruma-dev}),
 librust-ruma-0.14+compat-null-dev (= ${rust:Version:librust-ruma-dev}),
 librust-ruma-0.14+compat-optional-dev (= ${rust:Version:librust-ruma-dev}),
 librust-ruma-0.14+compat-optional-txn-pdus-dev (= ${rust:Version:librust-ruma-dev}),
 librust-ruma-0.14+compat-server-signing-key-version-dev (= ${rust:Version:librust-ruma-dev}),
 librust-ruma-0.14+compat-tag-info-dev (= ${rust:Version:librust-ruma-dev}),
 librust-ruma-0.14+compat-unset-avatar-dev (= ${rust:Version:librust-ruma-dev}),
 librust-ruma-0.14+compat-upload-signatures-dev (= ${rust:Version:librust-ruma-dev}),
 librust-ruma-0.14+default-dev (= ${rust:Version:librust-ruma-dev}),
 librust-ruma-0.14+events-dev (= ${rust:Version:librust-ruma-dev}),
 librust-ruma-0.14+federation-api-c-dev (= ${rust:Version:librust-ruma-dev}),
 librust-ruma-0.14+federation-api-dev (= ${rust:Version:librust-ruma-dev}),
 librust-ruma-0.14+federation-api-s-dev (= ${rust:Version:librust-ruma-dev}),
 librust-ruma-0.14+full-dev (= ${rust:Version:librust-ruma-dev}),
 librust-ruma-0.14+html-dev (= ${rust:Version:librust-ruma-dev}),
 librust-ruma-0.14+html-matrix-dev (= ${rust:Version:librust-ruma-dev}),
 librust-ruma-0.14+identity-service-api-c-dev (= ${rust:Version:librust-ruma-dev}),
 librust-ruma-0.14+identity-service-api-dev (= ${rust:Version:librust-ruma-dev}),
 librust-ruma-0.14+identity-service-api-s-dev (= ${rust:Version:librust-ruma-dev}),
 librust-ruma-0.14+js-dev (= ${rust:Version:librust-ruma-dev}),
 librust-ruma-0.14+markdown-dev (= ${rust:Version:librust-ruma-dev}),
 librust-ruma-0.14+push-gateway-api-c-dev (= ${rust:Version:librust-ruma-dev}),
 librust-ruma-0.14+push-gateway-api-dev (= ${rust:Version:librust-ruma-dev}),
 librust-ruma-0.14+push-gateway-api-s-dev (= ${rust:Version:librust-ruma-dev}),
 librust-ruma-0.14+rand-dev (= ${rust:Version:librust-ruma-dev}),
 librust-ruma-0.14+ring-compat-dev (= ${rust:Version:librust-ruma-dev}),
 librust-ruma-0.14+signatures-dev (= ${rust:Version:librust-ruma-dev}),
 librust-ruma-0.14+state-res-dev (= ${rust:Version:librust-ruma-dev}),
 librust-ruma-0.14+unstable-extensible-events-dev (= ${rust:Version:librust-ruma-dev}),
 librust-ruma-0.14+unstable-msc1767-dev (= ${rust:Version:librust-ruma-dev}),
 librust-ruma-0.14+unstable-msc2448-dev (= ${rust:Version:librust-ruma-dev}),
 librust-ruma-0.14+unstable-msc2545-dev (= ${rust:Version:librust-ruma-dev}),
 librust-ruma-0.14+unstable-msc2654-dev (= ${rust:Version:librust-ruma-dev}),
 librust-ruma-0.14+unstable-msc2666-dev (= ${rust:Version:librust-ruma-dev}),
 librust-ruma-0.14+unstable-msc2747-dev (= ${rust:Version:librust-ruma-dev}),
 librust-ruma-0.14+unstable-msc2867-dev (= ${rust:Version:librust-ruma-dev}),
 librust-ruma-0.14+unstable-msc2870-dev (= ${rust:Version:librust-ruma-dev}),
 librust-ruma-0.14+unstable-msc2967-dev (= ${rust:Version:librust-ruma-dev}),
 librust-ruma-0.14+unstable-msc3061-dev (= ${rust:Version:librust-ruma-dev}),
 librust-ruma-0.14+unstable-msc3202-dev (= ${rust:Version:librust-ruma-dev}),
 librust-ruma-0.14+unstable-msc3230-dev (= ${rust:Version:librust-ruma-dev}),
 librust-ruma-0.14+unstable-msc3245-dev (= ${rust:Version:librust-ruma-dev}),
 librust-ruma-0.14+unstable-msc3245-v1-compat-dev (= ${rust:Version:librust-ruma-dev}),
 librust-ruma-0.14+unstable-msc3246-dev (= ${rust:Version:librust-ruma-dev}),
 librust-ruma-0.14+unstable-msc3381-dev (= ${rust:Version:librust-ruma-dev}),
 librust-ruma-0.14+unstable-msc3401-dev (= ${rust:Version:librust-ruma-dev}),
 librust-ruma-0.14+unstable-msc3488-dev (= ${rust:Version:librust-ruma-dev}),
 librust-ruma-0.14+unstable-msc3489-dev (= ${rust:Version:librust-ruma-dev}),
 librust-ruma-0.14+unstable-msc3551-dev (= ${rust:Version:librust-ruma-dev}),
 librust-ruma-0.14+unstable-msc3552-dev (= ${rust:Version:librust-ruma-dev}),
 librust-ruma-0.14+unstable-msc3553-dev (= ${rust:Version:librust-ruma-dev}),
 librust-ruma-0.14+unstable-msc3554-dev (= ${rust:Version:librust-ruma-dev}),
 librust-ruma-0.14+unstable-msc3618-dev (= ${rust:Version:librust-ruma-dev}),
 librust-ruma-0.14+unstable-msc3723-dev (= ${rust:Version:librust-ruma-dev}),
 librust-ruma-0.14+unstable-msc3768-dev (= ${rust:Version:librust-ruma-dev}),
 librust-ruma-0.14+unstable-msc3814-dev (= ${rust:Version:librust-ruma-dev}),
 librust-ruma-0.14+unstable-msc3824-dev (= ${rust:Version:librust-ruma-dev}),
 librust-ruma-0.14+unstable-msc3843-dev (= ${rust:Version:librust-ruma-dev}),
 librust-ruma-0.14+unstable-msc3927-dev (= ${rust:Version:librust-ruma-dev}),
 librust-ruma-0.14+unstable-msc3930-dev (= ${rust:Version:librust-ruma-dev}),
 librust-ruma-0.14+unstable-msc3931-dev (= ${rust:Version:librust-ruma-dev}),
 librust-ruma-0.14+unstable-msc3932-dev (= ${rust:Version:librust-ruma-dev}),
 librust-ruma-0.14+unstable-msc3954-dev (= ${rust:Version:librust-ruma-dev}),
 librust-ruma-0.14+unstable-msc3955-dev (= ${rust:Version:librust-ruma-dev}),
 librust-ruma-0.14+unstable-msc3956-dev (= ${rust:Version:librust-ruma-dev}),
 librust-ruma-0.14+unstable-msc3983-dev (= ${rust:Version:librust-ruma-dev}),
 librust-ruma-0.14+unstable-msc4075-dev (= ${rust:Version:librust-ruma-dev}),
 librust-ruma-0.14+unstable-msc4095-dev (= ${rust:Version:librust-ruma-dev}),
 librust-ruma-0.14+unstable-msc4108-dev (= ${rust:Version:librust-ruma-dev}),
 librust-ruma-0.14+unstable-msc4121-dev (= ${rust:Version:librust-ruma-dev}),
 librust-ruma-0.14+unstable-msc4125-dev (= ${rust:Version:librust-ruma-dev}),
 librust-ruma-0.14+unstable-msc4140-dev (= ${rust:Version:librust-ruma-dev}),
 librust-ruma-0.14+unstable-msc4143-dev (= ${rust:Version:librust-ruma-dev}),
 librust-ruma-0.14+unstable-msc4171-dev (= ${rust:Version:librust-ruma-dev}),
 librust-ruma-0.14+unstable-msc4186-dev (= ${rust:Version:librust-ruma-dev}),
 librust-ruma-0.14+unstable-msc4191-dev (= ${rust:Version:librust-ruma-dev}),
 librust-ruma-0.14+unstable-msc4195-dev (= ${rust:Version:librust-ruma-dev}),
 librust-ruma-0.14+unstable-msc4203-dev (= ${rust:Version:librust-ruma-dev}),
 librust-ruma-0.14+unstable-msc4230-dev (= ${rust:Version:librust-ruma-dev}),
 librust-ruma-0.14+unstable-msc4268-dev (= ${rust:Version:librust-ruma-dev}),
 librust-ruma-0.14+unstable-msc4274-dev (= ${rust:Version:librust-ruma-dev}),
 librust-ruma-0.14+unstable-msc4278-dev (= ${rust:Version:librust-ruma-dev}),
 librust-ruma-0.14+unstable-msc4286-dev (= ${rust:Version:librust-ruma-dev}),
 librust-ruma-0.14+unstable-msc4306-dev (= ${rust:Version:librust-ruma-dev}),
 librust-ruma-0.14+unstable-msc4308-dev (= ${rust:Version:librust-ruma-dev}),
 librust-ruma-0.14+unstable-msc4310-dev (= ${rust:Version:librust-ruma-dev}),
 librust-ruma-0.14+unstable-msc4319-dev (= ${rust:Version:librust-ruma-dev}),
 librust-ruma-0.14+unstable-msc4334-dev (= ${rust:Version:librust-ruma-dev}),
 librust-ruma-0.14+unstable-msc4359-dev (= ${rust:Version:librust-ruma-dev}),
 librust-ruma-0.14+unstable-msc4362-dev (= ${rust:Version:librust-ruma-dev}),
 librust-ruma-0.14+unstable-msc4380-dev (= ${rust:Version:librust-ruma-dev}),
 librust-ruma-0.14-dev (= ${rust:Version:librust-ruma-dev}),
 librust-ruma-0.14.1-dev (= ${rust:Version:librust-ruma-dev}),
 librust-ruma-appservice-api-0.14+client-dev (= ${rust:Version:librust-ruma-appservice-api-dev}),
 librust-ruma-appservice-api-0.14+default-dev (= ${rust:Version:librust-ruma-appservice-api-dev}),
 librust-ruma-appservice-api-0.14+server-dev (= ${rust:Version:librust-ruma-appservice-api-dev}),
 librust-ruma-appservice-api-0.14+unstable-msc3202-dev (= ${rust:Version:librust-ruma-appservice-api-dev}),
 librust-ruma-appservice-api-0.14+unstable-msc4203-dev (= ${rust:Version:librust-ruma-appservice-api-dev}),
 librust-ruma-appservice-api-0.14-dev (= ${rust:Version:librust-ruma-appservice-api-dev}),
 librust-ruma-appservice-api-0.14.1-dev (= ${rust:Version:librust-ruma-appservice-api-dev}),
 librust-ruma-appservice-api-dev (= ${rust:Version:librust-ruma-appservice-api-dev}),
 librust-ruma-client-api-0.22+client-dev (= ${rust:Version:librust-ruma-client-api-dev}),
 librust-ruma-client-api-0.22+compat-empty-string-null-dev (= ${rust:Version:librust-ruma-client-api-dev}),
 librust-ruma-client-api-0.22+compat-get-3pids-dev (= ${rust:Version:librust-ruma-client-api-dev}),
