=== debian/tests/control ===
# check single-feature tests only on amd64
# omit no- or single-feature checks for crates ruma ruma-*-api ruma-common ruma-events

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test ruma 0.14.1
 --all-targets
Features:
 test-name=librust-ruma-dev:default,
Depends:
 dh-rust,
 librust-ruma-0.14+default-dev,
Restrictions:
 allow-stderr,

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test ruma 0.14.1
 --all-targets --all-features
Features:
 test-name=rust-ruma:@,
Depends:
 dh-rust,
 librust-ruma-dev,
Restrictions:
 allow-stderr,

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test ruma-appservice-api 0.14.1
 --all-targets
Features:
 test-name=librust-ruma-appservice-api-dev:default,
Depends:
 dh-rust,
 librust-assert-matches2-dev,
 librust-ruma-appservice-api-0.14+default-dev,
 librust-serde-yaml-dev,
Restrictions:
 allow-stderr,

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test ruma-appservice-api 0.14.1
 --all-targets --all-features
Features:
 test-name=rust-ruma-appservice-api:@,
Depends:
 dh-rust,
 librust-assert-matches2-dev,
 librust-ruma-appservice-api-dev,
 librust-serde-yaml-dev,
Restrictions:
 allow-stderr,

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test ruma-client-api 0.22.1
 --all-targets
Features:
 test-name=librust-ruma-client-api-dev:default,
Depends:
 dh-rust,
 librust-assert-matches2-dev,
 librust-ruma-client-api-0.22+default-dev,
Restrictions:
 allow-stderr,

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test ruma-client-api 0.22.1
 --all-targets --all-features
Features:
 test-name=rust-ruma-client-api:@,
Depends:
 dh-rust,
 librust-assert-matches2-dev,
 librust-ruma-client-api-dev,
Restrictions:
 allow-stderr,

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test ruma-common 0.17.1
 --all-targets
Features:
 test-name=librust-ruma-common-dev:default,
Depends:
 dh-rust,
 librust-assert-matches2-dev,
 librust-macro-rules-attribute-dev,
 librust-ruma-common-0.17+default-dev,
 librust-smol-macros-dev,
 librust-trybuild-dev,
Restrictions:
 allow-stderr,

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test ruma-common 0.17.1
 --all-targets --all-features
Features:
 test-name=rust-ruma-common:@,
Depends:
 dh-rust,
 librust-assert-matches2-dev,
 librust-macro-rules-attribute-dev,
 librust-ruma-common-dev,
 librust-smol-macros-dev,
 librust-trybuild-dev,
Restrictions:
 allow-stderr,

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test ruma-events 0.32.1
 --all-targets
Features:
 test-name=librust-ruma-events-dev:default,
Depends:
 dh-rust,
 librust-assert-matches2-dev,
 librust-ruma-events-0.32+default-dev,
 librust-trybuild-dev,
Restrictions:
 allow-stderr,

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test ruma-events 0.32.1
 --all-targets --all-features
Features:
 test-name=rust-ruma-events:@,
Depends:
 dh-rust,
 librust-assert-matches2-dev,
 librust-ruma-events-dev,
 librust-trybuild-dev,
Restrictions:
 allow-stderr,

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test ruma-federation-api 0.13.1
 --all-targets
